/**
 * RoleClassRoot2.java
 *
 * File generated from the medication2::RoleClassRoot2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassRoot2.
 *
 * 
 */

@XmlType(name = "RoleClassRoot")
@XmlEnum
@XmlRootElement(name = "RoleClassRoot2")
public enum RoleClassRoot2 {
	@XmlEnumValue("ROL")
	ROL("ROL"),
	@XmlEnumValue("INST")
	INST("INST"),
	@XmlEnumValue("SUBS")
	SUBS("SUBS"),
	@XmlEnumValue("SUBY")
	SUBY("SUBY"),
	@XmlEnumValue("GEN")
	GEN("GEN"),
	@XmlEnumValue("GRIC")
	GRIC("GRIC"),
	@XmlEnumValue("CAREGIVER")
	CAREGIVER("CAREGIVER"),
	@XmlEnumValue("PRS")
	PRS("PRS"),
	@XmlEnumValue("CIT")
	CIT("CIT"),
	@XmlEnumValue("COVPTY")
	COVPTY("COVPTY"),
	@XmlEnumValue("CRINV")
	CRINV("CRINV"),
	@XmlEnumValue("CRSPNSR")
	CRSPNSR("CRSPNSR"),
	@XmlEnumValue("GUAR")
	GUAR("GUAR"),
	@XmlEnumValue("PAT")
	PAT("PAT"),
	@XmlEnumValue("PAYEE")
	PAYEE("PAYEE"),
	@XmlEnumValue("PAYOR")
	PAYOR("PAYOR"),
	@XmlEnumValue("POLHOLD")
	POLHOLD("POLHOLD"),
	@XmlEnumValue("QUAL")
	QUAL("QUAL"),
	@XmlEnumValue("SPNSR")
	SPNSR("SPNSR"),
	@XmlEnumValue("STD")
	STD("STD"),
	@XmlEnumValue("UNDWRT")
	UNDWRT("UNDWRT"),
	@XmlEnumValue("LIC")
	LIC("LIC"),
	@XmlEnumValue("NOT")
	NOT("NOT"),
	@XmlEnumValue("PROV")
	PROV("PROV"),
	@XmlEnumValue("AGNT")
	AGNT("AGNT"),
	@XmlEnumValue("GUARD")
	GUARD("GUARD"),
	@XmlEnumValue("ASSIGNED")
	ASSIGNED("ASSIGNED"),
	@XmlEnumValue("COMPAR")
	COMPAR("COMPAR"),
	@XmlEnumValue("SGNOFF")
	SGNOFF("SGNOFF"),
	@XmlEnumValue("CON")
	CON("CON"),
	@XmlEnumValue("ECON")
	ECON("ECON"),
	@XmlEnumValue("NOK")
	NOK("NOK"),
	@XmlEnumValue("EMP")
	EMP("EMP"),
	@XmlEnumValue("MIL")
	MIL("MIL"),
	@XmlEnumValue("INVSBJ")
	INVSBJ("INVSBJ"),
	@XmlEnumValue("CASESBJ")
	CASESBJ("CASESBJ"),
	@XmlEnumValue("RESBJ")
	RESBJ("RESBJ"),
	@XmlEnumValue("ACCESS")
	ACCESS("ACCESS"),
	@XmlEnumValue("BIRTHPL")
	BIRTHPL("BIRTHPL"),
	@XmlEnumValue("EXPR")
	EXPR("EXPR"),
	@XmlEnumValue("HLD")
	HLD("HLD"),
	@XmlEnumValue("HLTHCHRT")
	HLTHCHRT("HLTHCHRT"),
	@XmlEnumValue("IDENT")
	IDENT("IDENT"),
	@XmlEnumValue("MNT")
	MNT("MNT"),
	@XmlEnumValue("OWN")
	OWN("OWN"),
	@XmlEnumValue("RGPR")
	RGPR("RGPR"),
	@XmlEnumValue("TERR")
	TERR("TERR"),
	@XmlEnumValue("WRTE")
	WRTE("WRTE"),
	@XmlEnumValue("DST")
	DST("DST"),
	@XmlEnumValue("RET")
	RET("RET"),
	@XmlEnumValue("MANU")
	MANU("MANU"),
	@XmlEnumValue("THER")
	THER("THER"),
	@XmlEnumValue("SDLOC")
	SDLOC("SDLOC"),
	@XmlEnumValue("DSDLOC")
	DSDLOC("DSDLOC"),
	@XmlEnumValue("ISDLOC")
	ISDLOC("ISDLOC"),
	@XmlEnumValue("CONT")
	CONT("CONT"),
	@XmlEnumValue("MBR")
	MBR("MBR"),
	@XmlEnumValue("PART")
	PART("PART"),
	@XmlEnumValue("INGR")
	INGR("INGR"),
	@XmlEnumValue("ACTI")
	ACTI("ACTI"),
	@XmlEnumValue("ACTM")
	ACTM("ACTM"),
	@XmlEnumValue("ADTV")
	ADTV("ADTV"),
	@XmlEnumValue("BASE")
	BASE("BASE"),
	@XmlEnumValue("IACT")
	IACT("IACT"),
	@XmlEnumValue("COLR")
	COLR("COLR"),
	@XmlEnumValue("FLVR")
	FLVR("FLVR"),
	@XmlEnumValue("PRSV")
	PRSV("PRSV"),
	@XmlEnumValue("STBL")
	STBL("STBL"),
	@XmlEnumValue("LOCE")
	LOCE("LOCE"),
	@XmlEnumValue("STOR")
	STOR("STOR"),
	@XmlEnumValue("SPEC")
	SPEC("SPEC"),
	@XmlEnumValue("ALQT")
	ALQT("ALQT"),
	@XmlEnumValue("ISLT")
	ISLT("ISLT");
	
	private final String value;

    RoleClassRoot2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassRoot2 fromValue(String v) {
        for (RoleClassRoot2 c: RoleClassRoot2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
